concurrent = 2
check_interval = 0
connection_max_age = "15m0s"
shutdown_timeout = 0

[session_server]
  session_timeout = 1800

[[runners]]
  name = "openstack-0"
  url = "https://gitlab.com"
  token = "{{ gitlab_runner_token }}"
  executor = "docker+machine"
  environment = ["DOCKER_TLS_CERTDIR=/certs"]
  [runners.cache]
    MaxUploadedArchiveSize = 0
  [runners.docker]
    tls_verify = false
    image = "alpine"
    privileged = true
    disable_entrypoint_overwrite = false
    oom_kill_disable = false
    disable_cache = false
    volumes = ["/certs/client", "/cache"]
    output_limit = 16384
    shm_size = 0
    network_mtu = 0
  [runners.machine]
    IdleCount = 0
    IdleCountMin = 0
    IdleScaleFactor = 0.0
    IdleTime = 120
    MaxGrowthRate = 1
    MaxBuilds = 50
    MachineDriver = "openstack"
    MachineName = "worker-%s"
    MachineOptions = [
      "openstack-auth-url={{ gitlab_runner_openstack_authurl }}",
      "openstack-domain-name={{ gitlab_runner_openstack_domainname }}",
      "openstack-tenant-id={{ gitlab_runner_openstack_tenantid }}",
      "openstack-username={{ gitlab_runner_openstack_username }}",
      "openstack-password={{ gitlab_runner_openstack_password }}",
      "openstack-insecure=true",
      "openstack-flavor-name=f1.network-optimized.1c2gb",
      "openstack-image-name=Ubuntu Server 22.04 (Jammy Jellyfish)",
      "openstack-availability-zone={{ gitlab_runner_openstack_availabilityzone }}",
      "openstack-net-name={{ gitlab_runner_openstack_network }}",
      "openstack-sec-groups=gitlab-runner",
      "openstack-ssh-user=ubuntu",
      "openstack-private-key-file=/etc/gitlab-runner/id_rsa",
      "openstack-keypair-name=gitlab-runner"
    ]
    # [runners.cache] 
    #   Type = "gcs"
    #   Path = "cache"
    #   Shared = false
    #   [runners.cache.gcs]
    #     CredentialsFile = "/etc/gitlab-runner/service-account.json"
    #     BucketName      = "gitlab-runner-cache"
